<?php
 /**
 * Plugin Name:       GPT service
 * Plugin URI:        插件地址
 * Description:       为用户添加GPT客服.
 * Version:           1.0.0
 * Requires at least: 1.0.0
 * Requires PHP:      7.4
 * Author:            作者
 * Author URI:        作者网址
 * License:           GPL v2 or later
 * License URI:       
 * Update URI:        更新地址
 */

function init_service_info()
{
    // 获取选项
    $default = get_option('GPT_service');

    if($default == '') {
        // 设置默认数据
        $default = array('service_code' => '');
        //更新选项
        update_option('GPT_service', $default);
    }
}
register_activation_hook( __FILE__, 'init_service_info');


function add_settings_page() {
    add_options_page( 'GPT Service setting', 'GPT Service setting', 'manage_options', 'dbi-example-plugin', 'dbi_render_plugin_settings_page' );
}

add_action('admin_menu', 'add_settings_page');
function dbi_render_plugin_settings_page() {
    ?>
    <div class="wrap">
    <h2>GPT Service Settings</h2>
    <form action="options.php" method="post">
        <?php 
        settings_fields( 'GPT_service' );
        do_settings_sections( 'dbi_example_plugin'); ?>
        <input name="submit" class="button button-primary" type="submit" value="<?php esc_attr_e( 'Save' ); ?>" />
    </form>
</div>
    <?php
}


function code_validate($input){
    return $input;
}


function dbi_register_settings() {
    register_setting( 'GPT_service', 'GPT_service', 'code_validate' );
    add_settings_section( 'GPT_service', 'Code Settings', 'plugin_section_text', 'dbi_example_plugin' );
    add_settings_field( 'service_code', 'Code Key', 'service_code', 'dbi_example_plugin', 'GPT_service' );
}
add_action( 'admin_init', 'dbi_register_settings' );

function service_code() {
    $options = get_option('GPT_service');

    echo "<input style='width: 300px;' id='GPT_service' name='GPT_service[service_code]' type='text' value='" . esc_attr( $options['service_code'] ) . "'>";
}

function plugin_section_text() {
    echo '<p>Here you can set all the options for using the API</p>';
}

function service_stop_option()
{
    $option = get_option('GPT_service');
    if ($option['Delete']) {
        delete_option("GPT_service");
    }
}
register_deactivation_hook(__FILE__, 'service_stop_option');


function insert_my_footer() {
    $option = get_option('GPT_service');
    //wp_enqueue_script( 'my-script', $option['service_code'], array( 'jquery' ), false, true);
    echo $option['service_code'];
}

add_action('wp_footer', 'insert_my_footer');